import 'package:flutter/material.dart';
import 'package:flutter_html/flutter_html.dart';

class HtmlDialogWidget extends StatelessWidget {
  final String data;
  
  HtmlDialogWidget({
    Key? key,
    required this.data,
  }) : super(key: key);

  final ScrollController _scrollController = ScrollController();

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: EdgeInsets.only(
        top: 18.0,
      ),
      margin: EdgeInsets.only(
        top: 48.0,
        left: 8.0,
      ),
      decoration: BoxDecoration(
        color: Theme.of(context).scaffoldBackgroundColor,
        shape: BoxShape.rectangle,
        borderRadius: BorderRadius.circular(10.0),
      ),
      child: NotificationListener<OverscrollIndicatorNotification>(
        onNotification: (OverscrollIndicatorNotification overscroll) {
          overscroll.disallowGlow();
          return false;
        },
        child: Scrollbar(
          isAlwaysShown: true,
          controller: _scrollController,
          child: ListView(
            controller: _scrollController,
            padding: EdgeInsets.all(8.0),
            shrinkWrap: true,
            children: [
              Html(
                data: data,
                style: {
                  "a": Style(
                    color: Colors.blue,
                    textDecorationColor: Colors.blueAccent,
                    textDecoration: TextDecoration.underline,
                  ),
                },
              ),
            ],
          ),
        ),
      ),
    );
  }
}
